# wOXlf
Discord bot for managing an anonymous [Werewolf Game](https://en.wikipedia.org/wiki/Mafia_(party_game)).

## How It Works
A host gets a list of players to play, and then begins the game with the `!start` command. 

Each player is assigned a channel where they will view the game through. The player can read and send messages
in this channel normally. When a message is sent, it is forwarded to all other channels. The message's author
is obscured by a codename. 

The bot also handles communications from the host, daily votes, and notifying players of deaths. 

## Example Config
```toml
# Discord Bot Token
token = ""
# Discord App Id
app_id = 0
# Channel to accept host commands from
host_channel = 1
# Category to crate the player cannels in
category = 2

# Random code names are generated in the format of <Adjective> <Occupation>

occupation = ["Engineer", "Scientist", "Dancer", "Farmer", "Captain", "Janitor", "Author", "Bartender", "Bum",
    "Student", "Teacher", "Chef", "Waiter", "Comedian"]

adjective = ["Sleepy", "Drunk", "Smart", "Gifted", "Extreme", "Eccentric", "Amazing", "Bad", "Silly", "Dumb", "Smelly"]
```

## License
[MIT License](./LICENSE)

